> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files

> List all completed files for your team. Optionally filter by purpose.



## OpenAPI

````yaml openapi/files.json GET /v1/files
openapi: 3.0.3
info:
  title: Files API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/files:
    get:
      summary: List Files
      description: >-
        List all completed files for your team. Optionally filter by purpose.
        Only returns files with status 'completed'.
      parameters:
        - name: purpose
          in: query
          required: false
          schema:
            type: string
            enum:
              - context
              - batch
          description: 'Filter files by purpose. Supported values: ''context'' or ''batch''.'
      responses:
        '200':
          description: Successful response with list of files.
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    description: The kind of object. "list" for this endpoint.
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: File ID
                        object:
                          type: string
                          description: The kind of object. "file" for this endpoint.
                        created:
                          type: integer
                          description: Created epoch timestamp
                        filename:
                          type: string
                          description: The filename of the uploaded file
                        bytes:
                          type: integer
                          description: File size in bytes
                        purpose:
                          type: string
                          description: The purpose of the file
                        status:
                          type: string
                          description: File status. Always 'completed' for listed files.
        '401':
          description: Invalid API key
        '500':
          description: Internal server error
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````